application call . TypeError: view must be a callable or a list/tuple in the case of include()

I am taking a course where this error does not occur my error is cod is: Exception in thread django-main-thread: Traceback (most recent call last): File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\threading.py”, line 932, in _bo otstrap_inner self.run() File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\threading.py”, line 870, in run self._target(*self._args, **self._kwargs) File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\site-packages\django\utils\auto reload.py”, line 53, in wrapper fn(*args, **kwargs) File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\site-packages\django\core\manag ement\commands\runserver.py”, line 117,…

Django: ImportError: cannot import name ‘Celery’ from ‘celery’

So I’ve installed celery and got the file celery_tasks_settings.py in my project directory next to settings.py. This I got was a way to avoid conflicts with the package itself. I also did find -name ‘*celery*.pyc’ as a way to find any celery.pyc files that may have been generated before.The result: /__pycache__/celery_tasks.cpython-38.pyc /__pycache__/celery_tasks_settings.cpython-38.pyc Unfortunately, I still…

Cant run django server because of cx_oracle

i pull my friend code in github , and when i want to run it with django *path*>workon test (test)*path*>py manage.py runserver it has error in it Traceback (most recent call last): File “C:\Users\u532246\Envs\test\lib\site-packages\django\db\backends\oracle\base.py”, line 47, in <module> import cx_Oracle as Database ModuleNotFoundError: No module named ‘cx_Oracle’ During handling of the above exception, another exception…

i am trying to convert text to speech using pyttsx3 in python. but i am getting the error maybe on driverName

i am trying to convert text to speech using pyttsx3 in python. but i am getting the error maybe on driverName. Here is my code import pyttsx3 engine = pyttsx3.init() engine.say(“I will speak this text”) engine.runAndWait() Here is the Output which gives error. Python 3.8.0 (tags/v3.8.0:fa919fd, Oct 14 2019, 19:37:50) [MSC v.1916 64 bit (AMD64)]…